Contents

# Asc Function (BASIC)

Vraca ASCII (Americki Standardni Kod za Razmjenu Informacija) vrca vrijednost prvog karaktera u string izrazu.

### Syntax:

    Asc(string) As Long

### Return value:

Long

### Parameters:

string: Any valid string expression. Only the first character in the string is relevant.

Koristi Asc Funkciju da zamjeni tipke s vrijednostima. Ako Asc funkcija naide na prazan string, LibreOffice Basic izvijesti grešku za Vrijeme izvršavanja. Kao dodatak 7 bit ASCII karaktera (Kodovi 0-127), ASCII Funkcija može uociti ne-printajuce kodove tipki u ASCII kodu. Ova funkcija obradivati i 16 bit unicode karaktere.

### Error codes:

5 Invalid procedure call

### Example:

    Sub ExampleASC
        Printa ASC("A") REM vraca 65
        Print ASC(string:="Z") ' returns 90
        Print ASC("Blackpool") REM vraca 66, pošto se samo prvi karakter uzima u obzir
    End Sub

Related Topics

AscW Function [VBA]

Chr Function

ChrW Function [VBA]